import { SoftObserver } from '../SoftObserver';
declare class SoftResizeObserver extends SoftObserver {
    private hasResizeObserver;
    constructor(...args: any[]);
    onResize: () => void;
    beginObserve: () => void;
}
export { SoftResizeObserver };
